<?php

namespace Drupal\cache_review;

use Drupal\Core\Security\TrustedCallbackInterface;

/**
 * Class for custom lazy builder service.
 */
class LazyBuilderDemo implements TrustedCallbackInterface {

  /**
   * Custom lazy builder callback.
   */
  public function lazyBuilderCustom($uid) {
    $time = "<span class='date'>" . date('H:i:s') . ' </span>';
    $text = $time . 'The lazy built item using service. ' . 'User id= ' . $uid;
    return [
      '#markup' => sprintf('%s<br><strong><i>Cache options inside lazy placeholder: %s</i></strong>', $text, json_encode(['contexts' => ['user']])),
    ];
  }

  /**
   * {@inheritdoc}
   */
  public static function trustedCallbacks() {
    return [
      'lazyBuilderCustom',
    ];
  }

}
